Bug 843738 - Update Wayland to latest upstream version - 0.95
Update Wayland to latest upstream version - 0.95
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: wayland (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 852619
  Show dependency treegraph
 
Reported: 2012-07-27 04:39 EDT by Diego
Modified: 2012-09-20 02:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-20 02:14:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Diego 2012-07-27 04:39:42 EDT
Description of problem:

Wayland package is outdated. Wayland 0.95 is out.
http://lists.freedesktop.org/archives/wayland-devel/2012-July/004542.html
http://wayland.freedesktop.org/releases.html

Please update to latest upstream version.
Comment 1 Thorsten Leemhuis 2012-09-17 13:28:36 EDT
rawhide was updated, thx ajax

OTOH everything is likely broken on rawhide:

 * cairo afaics needs the patch from Bug 854245
 * weston is still on 0.85 in rawhide (Bug 852619), which is unlikely to work with wayland 0.85 :-/
 * weston 0.95 otoh needs a newer libxkbcommon to compile (see Bug 854261)

I have everything that is needed prepared already, but it needs a recheck now as all those bugs were ignored for two weeks :-/

How to move forward? Ajax?

Note You need to log in before you can comment on or make changes to this bug.